Loading...
Searching...
No Matches
dvarget.c File Reference

Functions for getting data from variables. More...

`#include "ncdispatch.h"`
Include dependency graph for dvarget.c:

Go to the source code of this file.

## Functions

static int | NC_get_var (int ncid, int varid, void *value, nc_type memtype)
static int | NC_get_var1 (int ncid, int varid, const size_t *coord, void *value, nc_type memtype)
int | NC_get_vara (int ncid, int varid, const size_t *start, const size_t *edges, void *value, nc_type memtype)
static int | NC_get_varm (int ncid, int varid, const size_t *start, const size_t *edges, const ptrdiff_t *stride, const ptrdiff_t *map, void *value, nc_type memtype)
static int | NC_get_vars (int ncid, int varid, const size_t *start, const size_t *edges, const ptrdiff_t *stride, void *value, nc_type memtype)
int | NCDEFAULT_get_varm (int ncid, int varid, const size_t *start, const size_t *edges, const ptrdiff_t *stride, const ptrdiff_t *imapp, void *value0, nc_type memtype)
int | NCDEFAULT_get_vars (int ncid, int varid, const size_t *start, const size_t *edges, const ptrdiff_t *stride, void *value0, nc_type memtype)
static void | odom_init (struct GETodometer *odom, int rank, const size_t *start, const size_t *edges, const ptrdiff_t *stride)
static int | odom_more (struct GETodometer *odom)
static int | odom_next (struct GETodometer *odom)
Reading Data from Variables
Functions to read data from variables.
int | nc_get_vara (int ncid, int varid, const size_t *startp, const size_t *countp, void *ip)
| Read an array of values from a variable.
int | nc_get_vara_double (int ncid, int varid, const size_t *startp, const size_t *countp, double *ip)
| Read an array of values from a variable.
int | nc_get_vara_float (int ncid, int varid, const size_t *startp, const size_t *countp, float *ip)
| Read an array of values from a variable.
int | nc_get_vara_int (int ncid, int varid, const size_t *startp, const size_t *countp, int *ip)
| Read an array of values from a variable.
int | nc_get_vara_long (int ncid, int varid, const size_t *startp, const size_t *countp, long *ip)
| Read an array of values from a variable.
int | nc_get_vara_longlong (int ncid, int varid, const size_t *startp, const size_t *countp, long long *ip)
| Read an array of values from a variable.
int | nc_get_vara_schar (int ncid, int varid, const size_t *startp, const size_t *countp, signed char *ip)
| Read an array of values from a variable.
int | nc_get_vara_short (int ncid, int varid, const size_t *startp, const size_t *countp, short *ip)
| Read an array of values from a variable.
int | nc_get_vara_string (int ncid, int varid, const size_t *startp, const size_t *countp, char **ip)
| Read an array of values from a variable.
int | nc_get_vara_text (int ncid, int varid, const size_t *startp, const size_t *countp, char *ip)
| Read an array of values from a variable.
int | nc_get_vara_ubyte (int ncid, int varid, const size_t *startp, const size_t *countp, unsigned char *ip)
| Read an array of values from a variable.
int | nc_get_vara_uchar (int ncid, int varid, const size_t *startp, const size_t *countp, unsigned char *ip)
| Read an array of values from a variable.
int | nc_get_vara_uint (int ncid, int varid, const size_t *startp, const size_t *countp, unsigned int *ip)
| Read an array of values from a variable.
int | nc_get_vara_ulonglong (int ncid, int varid, const size_t *startp, const size_t *countp, unsigned long long *ip)
| Read an array of values from a variable.
int | nc_get_vara_ushort (int ncid, int varid, const size_t *startp, const size_t *countp, unsigned short *ip)
| Read an array of values from a variable.
int | nc_get_var1 (int ncid, int varid, const size_t *indexp, void *ip)
| Read a single datum from a variable.
int | nc_get_var1_double (int ncid, int varid, const size_t *indexp, double *ip)
| Read a single datum from a variable.
int | nc_get_var1_float (int ncid, int varid, const size_t *indexp, float *ip)
| Read a single datum from a variable.
int | nc_get_var1_int (int ncid, int varid, const size_t *indexp, int *ip)
| Read a single datum from a variable.
int | nc_get_var1_long (int ncid, int varid, const size_t *indexp, long *ip)
| Read a single datum from a variable.
int | nc_get_var1_longlong (int ncid, int varid, const size_t *indexp, long long *ip)
| Read a single datum from a variable.
int | nc_get_var1_schar (int ncid, int varid, const size_t *indexp, signed char *ip)
| Read a single datum from a variable.
int | nc_get_var1_short (int ncid, int varid, const size_t *indexp, short *ip)
| Read a single datum from a variable.
int | nc_get_var1_string (int ncid, int varid, const size_t *indexp, char **ip)
| Read a single datum from a variable.
int | nc_get_var1_text (int ncid, int varid, const size_t *indexp, char *ip)
| Read a single datum from a variable.
int | nc_get_var1_ubyte (int ncid, int varid, const size_t *indexp, unsigned char *ip)
| Read a single datum from a variable.
int | nc_get_var1_uchar (int ncid, int varid, const size_t *indexp, unsigned char *ip)
| Read a single datum from a variable.
int | nc_get_var1_uint (int ncid, int varid, const size_t *indexp, unsigned int *ip)
| Read a single datum from a variable.
int | nc_get_var1_ulonglong (int ncid, int varid, const size_t *indexp, unsigned long long *ip)
| Read a single datum from a variable.
int | nc_get_var1_ushort (int ncid, int varid, const size_t *indexp, unsigned short *ip)
| Read a single datum from a variable.
int | nc_get_var (int ncid, int varid, void *ip)
| Read an entire variable in one call.
int | nc_get_var_double (int ncid, int varid, double *ip)
| Read an entire variable in one call.
int | nc_get_var_float (int ncid, int varid, float *ip)
| Read an entire variable in one call.
int | nc_get_var_int (int ncid, int varid, int *ip)
| Read an entire variable in one call.
int | nc_get_var_long (int ncid, int varid, long *ip)
| Read an entire variable in one call.
int | nc_get_var_longlong (int ncid, int varid, long long *ip)
| Read an entire variable in one call.
int | nc_get_var_schar (int ncid, int varid, signed char *ip)
| Read an entire variable in one call.
int | nc_get_var_short (int ncid, int varid, short *ip)
| Read an entire variable in one call.
int | nc_get_var_string (int ncid, int varid, char **ip)
| Read an entire variable in one call.
int | nc_get_var_text (int ncid, int varid, char *ip)
| Read an entire variable in one call.
int | nc_get_var_ubyte (int ncid, int varid, unsigned char *ip)
| Read an entire variable in one call.
int | nc_get_var_uchar (int ncid, int varid, unsigned char *ip)
| Read an entire variable in one call.
int | nc_get_var_uint (int ncid, int varid, unsigned int *ip)
| Read an entire variable in one call.
int | nc_get_var_ulonglong (int ncid, int varid, unsigned long long *ip)
| Read an entire variable in one call.
int | nc_get_var_ushort (int ncid, int varid, unsigned short *ip)
| Read an entire variable in one call.
int | nc_get_vars (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, void *ip)
| Read a strided array from a variable.
int | nc_get_vars_double (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, double *ip)
| Read a strided array from a variable.
int | nc_get_vars_float (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, float *ip)
| Read a strided array from a variable.
int | nc_get_vars_int (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, int *ip)
| Read a strided array from a variable.
int | nc_get_vars_long (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, long *ip)
| Read a strided array from a variable.
int | nc_get_vars_longlong (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, long long *ip)
| Read a strided array from a variable.
int | nc_get_vars_schar (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, signed char *ip)
| Read a strided array from a variable.
int | nc_get_vars_short (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, short *ip)
| Read a strided array from a variable.
int | nc_get_vars_string (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, char **ip)
| Read a strided array from a variable.
int | nc_get_vars_text (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, char *ip)
| Read a strided array from a variable.
int | nc_get_vars_ubyte (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, unsigned char *ip)
| Read a strided array from a variable.
int | nc_get_vars_uchar (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, unsigned char *ip)
| Read a strided array from a variable.
int | nc_get_vars_uint (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, unsigned int *ip)
| Read a strided array from a variable.
int | nc_get_vars_ulonglong (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, unsigned long long *ip)
| Read a strided array from a variable.
int | nc_get_vars_ushort (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, unsigned short *ip)
| Read a strided array from a variable.
int | nc_get_varm (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, void *ip)
| Read a mapped array from a variable.
int | nc_get_varm_double (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, double *ip)
| Read a mapped array from a variable.
int | nc_get_varm_float (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, float *ip)
| Read a mapped array from a variable.
int | nc_get_varm_int (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, int *ip)
| Read a mapped array from a variable.
int | nc_get_varm_long (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, long *ip)
| Read a mapped array from a variable.
int | nc_get_varm_longlong (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, long long *ip)
| Read a mapped array from a variable.
int | nc_get_varm_schar (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, signed char *ip)
| Read a mapped array from a variable.
int | nc_get_varm_short (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, short *ip)
| Read a mapped array from a variable.
int | nc_get_varm_string (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, char **ip)
| Read a mapped array from a variable.
int | nc_get_varm_text (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, char *ip)
| Read a mapped array from a variable.
int | nc_get_varm_ubyte (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, unsigned char *ip)
| Read a mapped array from a variable.
int | nc_get_varm_uchar (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, unsigned char *ip)
| Read a mapped array from a variable.
int | nc_get_varm_uint (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, unsigned int *ip)
| Read a mapped array from a variable.
int | nc_get_varm_ulonglong (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, unsigned long long *ip)
| Read a mapped array from a variable.
int | nc_get_varm_ushort (int ncid, int varid, const size_t *startp, const size_t *countp, const ptrdiff_t *stridep, const ptrdiff_t *imapp, unsigned short *ip)
| Read a mapped array from a variable.

## Detailed Description

Functions for getting data from variables.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

Definition in file dvarget.c.

## Function Documentation

## NC_get_var()

int NC_get_var | ( | int | ncid,
|  | int | varid,
|  | void * | value,
|  | nc_type | memtype )

static

Definition at line 136 of file dvarget.c.

## NC_get_var1()

int NC_get_var1 | ( | int | ncid,
|  | int | varid,
|  | const size_t * | coord,
|  | void * | value,
|  | nc_type | memtype )

static

Definition at line 286 of file dvarget.c.

## NC_get_vara()

int NC_get_vara | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | void * | value,
|  | nc_type | memtype )

Definition at line 91 of file dvarget.c.

## NC_get_varm()

int NC_get_varm | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride,
|  | const ptrdiff_t * | map,
|  | void * | value,
|  | nc_type | memtype )

static

Definition at line 638 of file dvarget.c.

## NC_get_vars()

int NC_get_vars | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride,
|  | void * | value,
|  | nc_type | memtype )

static

Definition at line 576 of file dvarget.c.

## NCDEFAULT_get_varm()

int NCDEFAULT_get_varm | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride,
|  | const ptrdiff_t * | imapp,
|  | void * | value0,
|  | nc_type | memtype )

Definition at line 296 of file dvarget.c.

## NCDEFAULT_get_vars()

int NCDEFAULT_get_vars | ( | int | ncid,
|  | int | varid,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride,
|  | void * | value0,
|  | nc_type | memtype )

Definition at line 146 of file dvarget.c.

## odom_init()

void odom_init | ( | struct GETodometer * | odom,
|  | int | rank,
|  | const size_t * | start,
|  | const size_t * | edges,
|  | const ptrdiff_t * | stride )

static

Definition at line 36 of file dvarget.c.

## odom_more()

int odom_more | ( | struct GETodometer * | odom | ) |

static

Definition at line 60 of file dvarget.c.

## odom_next()

int odom_next | ( | struct GETodometer * | odom | ) |

static

Definition at line 73 of file dvarget.c.